Login | Register
My pages Projects Community openCollabNet

Discussions > users > Re: Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT)

fsvs
Discussion topic

Back to topic list

Re: Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT)

Author Thomas Harold <thomas-lists at nybeta dot com>
Full name Thomas Harold <thomas-lists at nybeta dot com>
Date 2013-05-10 06:59:29 PDT
Message On 5/10/2013 1:20 AM, P.Marek wrote:
> Hello Thomas,
>
>> Will FSVS compile against SVN 1.7? I've downloaded the 1.7.9 source
>> tarball for Subversion on CentOS 6.4 (minimal install) and installed
>> packages "zlib-devel sqlite-devel pcre-devel gdbm-devel openssh-clients".
> Yes, it should work.
>
>> However, after compiling (./configure && make && make install) and
>> installing SVN, I get the following error during fsvs-1.2.5 ./configure:
> ...
>> configure: No compatible valgrind version.
>> configure: error: in `/usr/local/src/fsvs-1.2.5':
>> configure: error: You have a sparse S_IFMT. Please tell the dev@ mailing
>> list.
>> See `config.log' for more details
> That's a bit misleading here.

I suspect it's a PEBKAC error, because I've compiled this before on
CentOS 6.2 using the subversion-devel 1.6 install. I've attached the
config.log file.

For the moment, I'm going to go back a step, install the
subversion-devel 1.6 packages and see if I can get it to compile.

Will FSVS compiled against SVN 1.6 work on a machine which then has SVN
1.7 installed afterwards?
Attachments

« Previous message in topic | 3 of 5 | Next message in topic »

Messages

Show all messages in topic

Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT) Thomas Harold <thomas-lists at nybeta dot com> Thomas Harold <thomas-lists at nybeta dot com> 2013-05-09 16:21:47 PDT
     Re: Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT) pmarek P.Marek 2013-05-09 22:20:50 PDT
         Re: Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT) Thomas Harold <thomas-lists at nybeta dot com> Thomas Harold <thomas-lists at nybeta dot com> 2013-05-10 06:59:29 PDT
             Re: Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT) pmarek P.Marek 2013-05-10 07:09:36 PDT
         Re: Compiling FSVS against subversion 1.7.9 on CentOS 6.4? (sparse S_IFMT) Thomas Harold <thomas-lists at nybeta dot com> Thomas Harold <thomas-lists at nybeta dot com> 2013-05-11 06:25:14 PDT
Messages per page: